Bug 251837 - 1.4.10 is out
Summary: 1.4.10 is out
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: m4   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-12 08:17 UTC by Florian La Roche
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 09:53:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florian La Roche 2007-08-12 08:17:09 UTC
Description of problem:


From the NEWS file:


+Version 1.4.10 - 09 Jul 2007, by Eric Blake  (CVS version 1.4.9c)
+
+* Upgrade from GPL version 2 to GPL version 3 or later.
+* A number of portability improvements inherited from gnulib.
+* Avoid undefined behavior introduced in 1.4.9b in the `format' builtin
+  when handling %c.  However, this area of code has never been documented,
+  and currently does not match the POSIX behavior of printf(1), so it may
+  have further changes in the next version.
+
+Version 1.4.9b - 29 May 2007, by Eric Blake  (CVS version 1.4.9a)
+
+* Fix regression introduced in 1.4.9 in the `eval' builtin when performing
+  division.
+* Fix regression introduced in 1.4.8 in the `-F' option that made it
+  impossible to freeze more than 512 kibibytes of diverted text.
+* The synclines option `-s' no longer generates sync lines in the middle of
+  multiline comments or quoted strings.
+* Work around a number of corner-case POSIX compliance bugs in various
+  broken stdio libraries.  In particular, the `syscmd' builtin behaves
+  more predictably when stdin is seekable.
+* The `format' builtin now understands formats such as %a, %A, and %'hhd,
+  and works around a number of platform printf bugs.  Furthermore, the
+  sequence format(%*.*d,-1,-1,1) no longer outputs random data.  However,
+  some non-compliant platforms such as mingw still have known bugs in
+  strtod that may cause testsuite failures.
+* The testsuite is improved to also run gnulib portability tests for the
+  features that M4 imports from gnulib.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.